LibreOffice: XDateField Interface Reference

LibreOffice LibreOffice 26.8 SDK API Reference

Loading...
Searching...
No Matches
XDateField Interface Referencepublished

gives access to the value and settings of a date field. More...

`import "XDateField.idl";`

Inheritance diagram for XDateField:

## Public Member Functions
void | setDate ([in] ::com::sun::star::util::Date Date)
| sets the date value which is displayed in the date field.
::com::sun::star::util::Date | getDate ()
| returns the date value which is currently displayed in the date field.
void | setMin ([in] ::com::sun::star::util::Date Date)
| sets the minimum date value that can be entered by the user.
::com::sun::star::util::Date | getMin ()
| returns the currently set minimum date value that can be entered by the user.
void | setMax ([in] ::com::sun::star::util::Date Date)
| sets the maximum date value that can be entered by the user.
::com::sun::star::util::Date | getMax ()
| returns the currently set maximum date value that can be entered by the user.
void | setFirst ([in] ::com::sun::star::util::Date Date)
| sets the first value to be set on POS1 key.
::com::sun::star::util::Date | getFirst ()
| returns the currently set first value which is set on POS1 key.
void | setLast ([in] ::com::sun::star::util::Date Date)
| sets the last value to be set on END key.
::com::sun::star::util::Date | getLast ()
| returns the currently set last value which is set on END key.
void | setLongFormat ([in] boolean bLong)
| determines if the long date format is to be used.
boolean | isLongFormat ()
| determines if the long date format is currently used.
void | setEmpty ()
| sets an empty value for the date.
boolean | isEmpty ()
| returns whether currently an empty value is set for the date.
void | setStrictFormat ([in] boolean bStrict)
| determines if the format is checked during user input.
boolean | isStrictFormat ()
| returns whether the format is currently checked during user input.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

gives access to the value and settings of a date field.

## Member Function Documentation

## ◆ getDate()

::com::sun::star::util::Date getDate | ( |  | ) |

returns the date value which is currently displayed in the date field.

## ◆ getFirst()

::com::sun::star::util::Date getFirst | ( |  | ) |

returns the currently set first value which is set on POS1 key.

## ◆ getLast()

::com::sun::star::util::Date getLast | ( |  | ) |

returns the currently set last value which is set on END key.

## ◆ getMax()

::com::sun::star::util::Date getMax | ( |  | ) |

returns the currently set maximum date value that can be entered by the user.

## ◆ getMin()

::com::sun::star::util::Date getMin | ( |  | ) |

returns the currently set minimum date value that can be entered by the user.

## ◆ isEmpty()

boolean isEmpty | ( |  | ) |

returns whether currently an empty value is set for the date.

## ◆ isLongFormat()

boolean isLongFormat | ( |  | ) |

determines if the long date format is currently used.

## ◆ isStrictFormat()

boolean isStrictFormat | ( |  | ) |

returns whether the format is currently checked during user input.

## ◆ setDate()

void setDate | ( | [in] ::com::sun::star::util::Date | Date | ) |

sets the date value which is displayed in the date field.

## ◆ setEmpty()

void setEmpty | ( |  | ) |

sets an empty value for the date.

## ◆ setFirst()

void setFirst | ( | [in] ::com::sun::star::util::Date | Date | ) |

sets the first value to be set on POS1 key.

## ◆ setLast()

void setLast | ( | [in] ::com::sun::star::util::Date | Date | ) |

sets the last value to be set on END key.

## ◆ setLongFormat()

void setLongFormat | ( | [in] boolean | bLong | ) |

determines if the long date format is to be used.

## ◆ setMax()

void setMax | ( | [in] ::com::sun::star::util::Date | Date | ) |

sets the maximum date value that can be entered by the user.

## ◆ setMin()

void setMin | ( | [in] ::com::sun::star::util::Date | Date | ) |

sets the minimum date value that can be entered by the user.

## ◆ setStrictFormat()

void setStrictFormat | ( | [in] boolean | bStrict | ) |

determines if the format is checked during user input.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XDateField.idl